Codec
C Reference » Production Nodes Functionality

## Functions

XN_C_API XnStatus XN_C_DECL | xnCreateCodec (XnContext *pContext, XnCodecID codecID, XnNodeHandle hInitializerNode, XnNodeHandle *phCodec)
XN_C_API XnCodecID XN_C_DECL | xnGetCodecID (XnNodeHandle hCodec)
XN_C_API XnStatus XN_C_DECL | xnEncodeData (XnNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)
XN_C_API XnStatus XN_C_DECL | xnDecodeData (XnNodeHandle hCodec, const void *pSrc, XnUInt32 nSrcSize, void *pDst, XnUInt32 nDstSize, XnUInt *pnBytesWritten)

## Detailed Description

A Codec node is a Production Node that allows compression and decompression of data. It supports all Production Node functions, and adds additional functions.

## Function Documentation

## xnCreateCodec()

XN_C_API XnStatus XN_C_DECL xnCreateCodec | ( | XnContext * | pContext,
|  | XnCodecID | codecID,
|  | XnNodeHandle | hInitializerNode,
|  | XnNodeHandle * | phCodec )

## xnDecodeData()

XN_C_API XnStatus XN_C_DECL xnDecodeData | ( | XnNodeHandle | hCodec,
|  | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten )

## xnEncodeData()

XN_C_API XnStatus XN_C_DECL xnEncodeData | ( | XnNodeHandle | hCodec,
|  | const void * | pSrc,
|  | XnUInt32 | nSrcSize,
|  | void * | pDst,
|  | XnUInt32 | nDstSize,
|  | XnUInt * | pnBytesWritten )

## xnGetCodecID()

XN_C_API XnCodecID XN_C_DECL xnGetCodecID | ( | XnNodeHandle | hCodec | ) |